%global reldate 20160607
%global origname json-c
%{!?_pkgdocdir:%global _pkgdocdir %{_docdir}/%{name}-%{version}}


Name:		json-c12
Version:	0.12.1
Release:	1%{?dist}
Summary:	JSON implementation in C (0.12 compatibility package)

License:	MIT
URL:		https://github.com/%{origname}/%{origname}
Source0:	%{url}/archive/%{origname}-%{version}-%{reldate}.tar.gz

BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool

%description
JSON-C implements a reference counting object model that allows you
to easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C representation
of JSON objects.  It aims to conform to RFC 7159.


%package devel
Summary:	Development files for %{name}

Requires:	%{name}%{?_isa}		== %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}.


%package doc
Summary:	Reference manual for json-c

BuildArch:	noarch

BuildRequires:	doxygen
BuildRequires:	hardlink

%description doc
This package contains the reference manual for json-c.


%prep
%autosetup -n %{origname}-%{origname}-%{version}-%{reldate}

for doc in ChangeLog; do
	%{_bindir}/iconv -f iso-8859-1 -t utf8 ${doc} > ${doc}.new
	/bin/touch -r ${doc} ${doc}.new
	%{__mv} -f ${doc}.new ${doc}
done

%{__sed} -i 's|-Werror ||g' Makefile.am.inc

# For the compatibility package
%{__sed} -i 's|json-c.pc|json-c12.pc|g' Makefile.am
%{__sed} -i 's|libjson-c|libjson-c12|g' Makefile.am
%{__sed} -i 's|libjson_c|libjson_c12|g' Makefile.am
%{__sed} -i 's|/json-c|/json-c12|g' Makefile.am
%{__sed} -i 's|libjson-c|libjson-c12|g' tests/Makefile.am

%{__sed} -i 's|json-c.pc|json-c12.pc|g' configure.ac
%{__sed} -i 's|json-c-uninstalled.pc|json-c12-uninstalled.pc|g' configure.ac
%{__sed} -i 's|AM_PROG_LIBTOOL|LT_INIT|g' configure.ac

%{__sed} -i 's|json-c|&12|g' json-c.pc.in
%{__sed} -i 's|json-c|&12|g' json-c-uninstalled.pc.in
%{__mv} json-c.pc.in json-c12.pc.in
%{__mv} json-c-uninstalled.pc.in json-c12-uninstalled.pc.in
%{__mv} json-c.vcproj json-c12.vcproj

%{_bindir}/autoreconf -fiv


%build
%configure			\
	--disable-rpath		\
	--disable-silent-rules	\
	--disable-static	\
	--enable-shared		\
	--enable-rdrand
%make_build

%{_bindir}/doxygen Doxyfile


%install
%make_install
%{_bindir}/find %{buildroot} -name '*.la' -delete -print

%{__mkdir} -p %{buildroot}%{_pkgdocdir}
%{__cp} -pr doc/html ChangeLog README README.* %{buildroot}%{_pkgdocdir}
%if 0%{?rhel} && 0%{?rhel} <= 6
%{__cp} -pr AUTHORS COPYING %{buildroot}%{_pkgdocdir}
%endif
%{_sbindir}/hardlink -cv %{buildroot}%{_pkgdocdir}


%check
%make_build check


%pretrans devel -p <lua>
path = "%{_includedir}/%{origname}"
st = posix.stat(path)
if st and st.type == "link" then
  os.remove(path)
end


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc %dir %{_pkgdocdir}
%if 0%{?fedora} || 0%{?rhel} >= 7
%license AUTHORS
%license COPYING
%else
%doc %{_pkgdocdir}/AUTHORS
%doc %{_pkgdocdir}/COPYING
%endif
%{_libdir}/lib%{name}.so.*


%files devel
%doc %dir %{_pkgdocdir}
%doc %{_pkgdocdir}/ChangeLog
%doc %{_pkgdocdir}/README*
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%files doc
%if 0%{?fedora} || 0%{?rhel} >= 7
%license %{_datadir}/licenses/%{name}*
%endif # 0%%{?fedora} || 0%%{?rhel} >= 7
%doc %{_pkgdocdir}


%changelog
* Mon May 8 2017 Jeffrey Lau <jeffrey.lau@ribose.com> - 0.12.1-1
- Initial compat-package for EPEL >= 6, based on json-c from recent Fedora
